Upcoming Base Plans Refresh on Tuesday, June 19th - it's a rebuild the world scenario!


#1

Hello all!

Very soon we will be refreshing all of the Habitat base plans and all Habitat core plans simultaneously. If you are wondering what a base plan is and/or why we would be doing this (as well as how it might affect you) - please check out this blog post for the 411

https://www.habitat.sh/blog/2018/06/base-plans-refresh/

If you have questions, etc. after reading it please feel free to post them in a reply here :slight_smile:


#2

Not sure if I should be starting a new thread or replying here …

  • Will all base plans be getting a rebuild or does it need to be requested? Specifically for me, https://bldr.habitat.sh/#/pkgs/core/node8 looks like it is pointing to the old version of gcc and so I think any plan that depends on core/node8 is broken?
  • Is the fix for gcc + kernel < 3.2 to upgrade your OS or go mark all your dependencies as depending on specific gcc versions?
  • I can’t view the original core plans blog post, only the updated one with the gcc + kernel problems?

#3

Replying here is totally fine!

  • All base plans should’ve gotten rebuilt, but you’re right, it looks like node8 didn’t. I’ve kicked off a new build, so we’ll see if that helps.
  • We have a bigger fix in the works that will allow us to support both old and new kernels, but the specifics of it are still being worked out. One way to fix it is to upgrade your OS, for sure :slight_smile: If you want to stick with older kernels, and don’t want to pin deps, stay tuned for the fix we have coming soon.
  • Something in the blog got messed up, I think due to similar file names for the two different blog posts. We’re working on correcting it right now. Thanks for pointing this out!

#4

Sounds good, thanks.


#5

Does the node8 package need to be manually promoted to stable or is there some other process for that?


#6

It did! I’ve gone ahead and promoted it @chrisortman